DH_AUTO_TEST(1)

NOM
dh_auto_test - Exécuter automatiquement le jeu d'essai d'un paquet

SYNOPSIS
dh_auto_test [options_du_processus_de_construction] [options_de_debhelper] [-- paramètres]

DESCRIPTION
dh_auto_test est un programme de la suite debhelper qui tente d'exécuter automatiquement le jeu de tests d'un paquet. Il le fait en lançant les commandes appropriées du processus de construction d'après le type du paquet. Par exemple, s'il y a un Makefile et qu'il contient un bloc test ou check il exécutera make (ou MAKE si cette variable d'environnement est définie). Si les tests produisent une erreur, la commande retourne une valeur non nulle. S'il n'y a pas de jeu de tests, la commande retourne zéro sans rien faire.

dh_auto_test fonctionne avec 90% des paquets environ comportant un jeu de tests. Si ça ne fonctionne pas, il suffit de sauter dh_auto_test et de lancer le jeu de tests manuellement.

OPTIONS
Consulter OPTIONS DU PROCESSUS DE CONSTRUCTION dans debhelper(7) pour obtenir la liste des processus de construction courants et celle des options de contrôle.

-- paramètres
    Transmet les paramètres au programme exécuté après les paramètres que dh_auto_test transmet normalement.

REMARQUES
Si la variable d'environnement DEB_BUILD_OPTIONS contient nocheck, aucun test ne sera exécuté.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».